## org.eclipse.emf.workspace.ui.actions
Class RedoActionWrapper

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.action.AbstractAction
              org.eclipse.jface.action.Action
                  org.eclipse.emf.edit.ui.action.RedoAction
                      org.eclipse.emf.workspace.ui.actions.RedoActionWrapper

All Implemented Interfaces:
  IAction

    public class RedoActionWrapper

extends RedoAction

Extension of the EMF `RedoAction` class that delegates redo behaviour to the undoable operation framework's `RedoActionHandler`.

Field Summary

Fields inherited from class org.eclipse.emf.edit.ui.action.RedoAction
`domain`

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`RedoActionWrapper()` Initializes me.

Method Summary
`String` `getDescription()` Delegates to the operation framework action handler.
`String` `getText()` Delegates to the operation framework action handler.
`String` `getToolTipText()` Delegates to the operation framework action handler.
`boolean` `isEnabled()` Delegates to the operation framework action handler.
`boolean` `isHandled()` Delegates to the operation framework action handler.
`void` `run()` Delegates to the operation framework action handler.
`void` `runWithEvent(Event event)` Delegates to the operation framework action handler.
`void` `setActiveWorkbenchPart(IWorkbenchPart workbenchPart)` Extends the superclass implementation to update the operation history redo action handler to which I delegate.
`void` `setChecked(boolean checked)` Delegates to the operation framework action handler.
`void` `setDescription(String text)` Delegates to the operation framework action handler.
`void` `setEnabled(boolean enabled)` Delegates to the operation framework action handler.
`void` `setText(String text)` Delegates to the operation framework action handler.
`void` `setToolTipText(String toolTipText)` Delegates to the operation framework action handler.
`void` `update()` Delegates to the operation framework action handler.

Methods inherited from class org.eclipse.emf.edit.ui.action.RedoAction
`getEditingDomain, setActiveEditor, setEditingDomain`

Methods inherited from class org.eclipse.jface.action.Action

`convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, isChecked, notifyResult, removeAcceleratorText, removeMnemonics, setAccelerator, setActionDefinitionId, setDisabledImageDescriptor, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator`

Methods inherited from class org.eclipse.jface.action.AbstractAction
`addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.action.IAction
`addPropertyChangeListener, removePropertyChangeListener`

Constructor Detail

### RedoActionWrapper

    public RedoActionWrapper()

  Initializes me.

Method Detail

### setActiveWorkbenchPart

    public void setActiveWorkbenchPart(IWorkbenchPart workbenchPart)

  Extends the superclass implementation to update the operation history redo action handler to which I delegate.

  Overrides:
    `setActiveWorkbenchPart` in class `RedoAction`

### update

    public void update()

  Delegates to the operation framework action handler.

  Overrides:
    `update` in class `RedoAction`

### getDescription

    public String getDescription()

  Delegates to the operation framework action handler.

  Specified by:
    `getDescription` in interface `IAction`
  Overrides:
    `getDescription` in class `Action`

### getText

    public String getText()

  Delegates to the operation framework action handler.

  Specified by:
    `getText` in interface `IAction`
  Overrides:
    `getText` in class `Action`

### getToolTipText

    public String getToolTipText()

  Delegates to the operation framework action handler.

  Specified by:
    `getToolTipText` in interface `IAction`
  Overrides:
    `getToolTipText` in class `Action`

### isEnabled

    public boolean isEnabled()

  Delegates to the operation framework action handler.

  Specified by:
    `isEnabled` in interface `IAction`
  Overrides:
    `isEnabled` in class `Action`

### isHandled

    public boolean isHandled()

  Delegates to the operation framework action handler.

  Specified by:
    `isHandled` in interface `IAction`
  Overrides:
    `isHandled` in class `Action`

### run

    public void run()

  Delegates to the operation framework action handler.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `RedoAction`

### runWithEvent

    public void runWithEvent(Event event)

  Delegates to the operation framework action handler.

  Specified by:
    `runWithEvent` in interface `IAction`
  Overrides:
    `runWithEvent` in class `Action`

### setChecked

    public void setChecked(boolean checked)

  Delegates to the operation framework action handler.

  Specified by:
    `setChecked` in interface `IAction`
  Overrides:
    `setChecked` in class `Action`

### setDescription

    public void setDescription(String text)

  Delegates to the operation framework action handler.

  Specified by:
    `setDescription` in interface `IAction`
  Overrides:
    `setDescription` in class `Action`

### setEnabled

    public void setEnabled(boolean enabled)

  Delegates to the operation framework action handler.

  Specified by:
    `setEnabled` in interface `IAction`
  Overrides:
    `setEnabled` in class `Action`

### setText

    public void setText(String text)

  Delegates to the operation framework action handler.

  Specified by:
    `setText` in interface `IAction`
  Overrides:
    `setText` in class `Action`

### setToolTipText

    public void setToolTipText(String toolTipText)

  Delegates to the operation framework action handler.

  Specified by:
    `setToolTipText` in interface `IAction`
  Overrides:
    `setToolTipText` in class `Action`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.